

estimated_params;
        // PARAM NAME, INITVAL, LB, UB, PRIOR_SHAPE, PRIOR_P1, PRIOR_P2, PRIOR_P3, PRIOR_P4, JSCALE
        // PRIOR_SHAPE: BETA_PDF, GAMMA_PDF, NORMAL_PDF, INV_GAMMA_PDF

%vH,,              0.01,          0.99,          BETA_PDF,        0.8,         0.1;
%vF,,              0.01,           0.99,          BETA_PDF,        0.8,         0.1;
%AFs,,              0.01,           inf,            NORMAL_PDF,      1,       0.1;
%AHs,,              0.01,           inf,            NORMAL_PDF,      1,       0.1;
RERs,,              0.01,           inf,            NORMAL_PDF,      6,       0.1;
%LHss,,              0.01,           0.99,          BETA_PDF,        1/3,         0.1;
%piFs,,              1.0001,          2,            NORMAL_PDF,      1.05,       0.001;
%piHs,,              1.0001,          2,            NORMAL_PDF,      1.05,       0.001;
eta,,                1.01,          inf,              NORMAL_PDF,      1.5,       0.01;
%beta,,           0.8,          0.99999,       BETA_PDF,         0.995,     0.001; 
%sigma,,         1.001,     4,            NORMAL_PDF,          1.02,     0.1;
alpha,,          0.01,         0.99,           BETA_PDF,          0.6,       0.01;
%deltah,,         0.001,         0.99,           BETA_PDF,          0.025,   0.001;
%tauH,,           0.01,         0.9,             BETA_PDF,          0.3,        0.01;
%tauF,,            0.01,         0.9,              BETA_PDF,         0.3,        0.01;
%%successful
muH,,           0.01,          0.99,            BETA_PDF,        0.2,         0.01;
muF,,            0.01,          0.99,            BETA_PDF,        0.2,         0.01;
phi,,              0.01,          inf,               NORMAL_PDF,          1,           0.1;
omegaH,,      0.01,          inf,            NORMAL_PDF,        0.8,          0.01;
omegaF,,      0.01,          inf,            NORMAL_PDF,        0.8,          0.01;
%sigmap,,       2,            15,            NORMAL_PDF,          11,           1;
Kai,,             0.01,        0.99,         BETA_PDF,               0.5,           0.01;
zeta,,            0.01,         0.9,           BETA_PDF,          0.6,       0.01;
rhoaH,,             0.01,         0.99,            BETA_PDF,          0.8,      0.01;
rhoaF,,             0.01,         0.99,            BETA_PDF,          0.8,      0.01;
rhosH,,             0.01,         0.99,            BETA_PDF,          0.8,      0.01;
rhosF,,             0.01,         0.99,            BETA_PDF,          0.8,      0.01;
rhorH,,             0.01,         0.99,            BETA_PDF,          0.8,      0.01;
rhorF,,             0.01,         0.99,            BETA_PDF,          0.8,      0.01;
rhoyH,,             0,          0.15,           BETA_PDF,          0.125,     0.001;
rhoyF,,             0,          0.15,           BETA_PDF,          0.125,     0.001;
rhopiH,,           1.2,            inf,                NORMAL_PDF,    1.5,       0.025;
rhopiF,,           1.2,            inf,                NORMAL_PDF,    1.5,       0.025;
%rhorsH,,           1.2,            2,                NORMAL_PDF,    1.5,       0.025;
%rhorsF,,           1.2,            2,                NORMAL_PDF,    1.5,       0.025;
rhox,,             0.2,         0.99,            BETA_PDF,          0.8,      0.01;
Hxs,,               0.0001,        0.99,             BETA_PDF,          0.005,      0.0001;
Fxs,,               0.0001,        0.99,             BETA_PDF,          0.005,      0.0001;

stderr eAH,INV_GAMMA_PDF, 1, 0.01;
stderr eAF,INV_GAMMA_PDF, 1, 0.01;
stderr eRH,INV_GAMMA_PDF, 1, 0.01;
stderr eF,INV_GAMMA_PDF, 1, 0.01;
stderr esH,INV_GAMMA_PDF, 1, 0.01;
stderr esF,INV_GAMMA_PDF, 1, 0.01;
stderr eHx,INV_GAMMA_PDF, 1, 0.01;
stderr eFx,INV_GAMMA_PDF, 1, 0.01;


end;

%varobs YH YF CH CF RER tbH;
varobs YH YF CH CF tbH_YH RER;
estimated_params_init(use_calibration);
end;
ts=dseries('mydata.mat');

%estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=171,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,smoother,filter_decomposition,conditional_variance_decomposition=10,consider_all_endogenous,bayesian_irf);
estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=171,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,smoother,filter_decomposition,conditional_variance_decomposition=10,consider_all_endogenous,bayesian_irf);

%estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=171,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,smoother,filter_decomposition,conditional_variance_decomposition=10);

%estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=171,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,smoother,filter_decomposition,moments_varendo)YH YF CH CF RER tbH;
options_.debug=1;
%identification;
%estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=131,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,conf_sig=97.5,bayesian_irf,smoother,moments_varendo,consider_all_endogenous,nograph);
%estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=131,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,conf_sig=97.5,bayesian_irf,smoother,consider_all_endogenous,nograph) Ye Yc pie pic Rc Re RER Qe Qc Ve De Dc;

shock_groups(name=group1);
'CHN sentiment shock' =esH;
'US sentiment shock' =esF;
'other shocks'=eAH, eAF, eRH, eF, eHx, eFx;
end;

shock_decomposition(parameter_set=posterior_mode,nobs=171,use_shock_groups=group1,nograph);
%plot_shock_decomposition(colormap=gray,use_shock_groups=group1) YH;
%plot_shock_decomposition(colormap=gray,type=qoq,graph_format=fig,plot_init_date=dates('1981Q1'),use_shock_groups=group1)YH;
%plot_shock_decomposition(colormap=gray,type=qoq,write_xls,graph_format=fig,plot_init_date=dates('1989Q4'),use_shock_groups=group1) Ye Yc_obs pie_obs pic_obs Qe_obs Qc_obs Re_obs Rc_obs;