%%(with piFs as variables)
function [F] =hahaF_steady(pp,beta, deltah,delta, piFs,omegaF,phi,RERs,eta, vH, vF, zeta, sigmap,Kai,muF, alpha,ph_YFs,tauF)
%%(with RFs as variables)
 %function [F] =hahaF_steady(pp,beta, deltah,delta, RFs,omegaF,phi,RERs,eta, vH, vF, zeta, sigmap,Kai,muF, alpha,ph_YFs,tauF)

%function [F] =hahaF_steady(pp,beta, deltah,delta, piFs,omegaF,phi,RERs,eta, vH, vF, zeta, sigmap,Kai,muF, alpha,ph_YFs,IF_YFs)


RER=RERs;
pH=( (RER^(1-eta)-vF/(1-vH)) /(1-vF-vF*vH/(1-vH)))^(1/(1-eta));
sF=pp;
%sF=pp(1);
%tauF=pp(2);
qkF=((1/(beta*sF*(1-deltah))-1)*(1-tauF)/tauF)^tauF/(1-tauF);
epsilonF1=1/qkF;
piF=piFs;
RF=piF/(beta*(1+(epsilonF1/(1-tauF))^(-1/tauF)*tauF/(1-tauF)));
%RF=RFs;
%piF=RF*(beta*(1+(epsilonF1/(1-tauF))^(-1/tauF)*tauF/(1-tauF)));
epsilonF2=RF/qkF;
epsilonF3=RF*exp(omegaF)/qkF;
RkF=RF/piF*(    qkF*(1-beta*(1-delta))   -    beta*RF*(  (epsilonF2/(1-tauF))^(-1/tauF)*tauF*muF/(1-tauF)   +   exp(omegaF)*(epsilonF3/(1-tauF))^(-1/tauF)*tauF^2/(phi*(1-tauF^2))   )     );
prF=( (1-zeta*piF^((sigmap-1)*(1-Kai)))  /(1-zeta))^(1/(1-sigmap));
pF=((1-vH*pH^(1-eta))/(1-vH))^(1/(1-eta))/RER;

mcF=prF*pF*(sigmap-1)/sigmap*(1-zeta*beta*piF^(sigmap*(1-Kai)))/(1-zeta*beta*piF^((sigmap-1)*(1-Kai)));
FF=(1-zeta)*prF^(-sigmap)/(1-zeta*piF^(sigmap*(1-Kai)));
ratio_BFH_YF=(tauF/(phi*(1+tauF))*(epsilonF3/(1-tauF))^(-1/tauF)) / (RkF/(alpha*mcF*FF));
ratio_BFF_YF=muF*(epsilonF2/(1-tauF))^(-1/tauF)/(RkF/(alpha*mcF*FF));

ph_YF=alpha*mcF*FF/RkF*( ( (delta-muF*(epsilonF2/(1-tauF))^(1-1/tauF)-tauF/(phi*(1+tauF))*(epsilonF3/(1-tauF))^(1-1/tauF))  / ((epsilonF1/(1-tauF))^(1-1/tauF))) -RkF)+RF*exp(omegaF)/piF*ratio_BFH_YF+RF/piF*ratio_BFF_YF;
%IF_YF=alpha*mcF*FF+alpha*mcF*FF/RkF*muF*(epsilonF2/(1-tauF))^(-1/tauF)+(epsilonF1/(1-tauF))^(-1/tauF)*(ph_YF-RF*exp(omegaF)/piF*ratio_BFH_YF-RF/piF*ratio_BFF_YF)+alpha*mcF*FF*tauF/(RkF*phi*(1+2*tauF))*(epsilonF3/(1-tauF))^(-1/tauF);
IF_YF=(ph_YF-RF*exp(omegaF)/piF*ratio_BFH_YF-RF/piF*ratio_BFF_YF)*(epsilonF1/(1-tauF))^(-1/tauF)+alpha*mcF*FF/RkF*(RkF*(epsilonF1/(1-tauF))^(-1/tauF)+muF*(epsilonF2/(1-tauF))^(-1/tauF)+(epsilonF3/(1-tauF))^(-1/tauF)*tauF/(phi*(1+2*tauF)));


%F(1)=ph_YF-0.3;
%F(1)=ph_YF-3;
%F(2)=IF_YF-0.2;
%F(1)=ph_YF-ph_YFs;
%F(2)=IF_YF-IF_YFs;
F(1)=ph_YF-ph_YFs;