%function [F] =haha_steady(pp,beta, deltah,delta, piHs,omegaH,phi,RERs,eta, vH, vF, zeta, sigmap,Kai,muH,alpha,ph_YHs,IH_YHs)
%%(with piHs as variable)
function [F] =haha_steady(pp,beta, deltah,delta, piHs,omegaH,phi,RERs,eta, vH, vF, zeta, sigmap,Kai,muH,alpha,ph_YHs,tauH)

%%(with RHs as variable)
%function [F] =haha_steady(pp,beta, deltah,delta, RHs,omegaH,phi,RERs,eta, vH, vF, zeta, sigmap,Kai,muH,alpha,ph_YHs,tauH)

%sH=pp(1);
%tauH=pp(2);
sH=pp;

qkH=((1/(beta*sH*(1-deltah))-1)*(1-tauH)/tauH)^tauH / (1-tauH);
epsilonH1=1/qkH;
piH=piHs;
LamH=beta;
RH=piH/(beta*(1+(epsilonH1/(1-tauH))^(-1/tauH)*tauH/(1-tauH)));
%RH=RHs;
%piH=RHs*(beta*(1+(epsilonH1/(1-tauH))^(-1/tauH)*tauH/(1-tauH)));

epsilonH2=RH/qkH;
epsilonH3=RH*exp(omegaH)/qkH;
RkH=RH/piH*(qkH*(1-beta*(1-delta))-beta*RH*((epsilonH2/(1-tauH))^(-1/tauH)*tauH*muH/(1-tauH)+(epsilonH3/(1-tauH))^(-1/tauH)*exp(omegaH)*tauH^2/(phi*(1-tauH^2))));
RER=RERs;
pH=( (RER^(1-eta)-vF/(1-vH)) /(1-vF-vF*vH/(1-vH)))^(1/(1-eta));
prH=( (1-zeta*piH^((sigmap-1)*(1-Kai))) / (1-zeta))^(1/(1-sigmap));
mcH=prH*pH*(sigmap-1)/sigmap*(1-zeta*LamH*piH^(sigmap*(1-Kai)))/(1-zeta*LamH*piH^((sigmap-1)*(1-Kai)));
FH=(1-zeta)*prH^(-sigmap)/(1-zeta*piH^(sigmap*(1-Kai)));



ratio_BHF_YH=((epsilonH3/(1-tauH))^(-1/tauH)*tauH/(phi*(1+tauH)))/(RkH/(alpha*mcH*FH));
ratio_BHH_YH=muH*(epsilonH2/(1-tauH))^(-1/tauH)/(RkH/(alpha*mcH*FH));
ph_YH=alpha*mcH*FH/RkH*(   (  (delta-muH*((epsilonH2/(1-tauH))^(1-1/tauH))-tauH/(phi*(1+tauH))*(epsilonH3/(1-tauH))^(1-1/tauH))   /((epsilonH1/(1-tauH))^(1-1/tauH))   )   -RkH)+RH*exp(omegaH)/piH*ratio_BHF_YH+RH/piH*ratio_BHH_YH;
IH_YH=(ph_YH-RH*exp(omegaH)/piH*ratio_BHF_YH-RH/piH*ratio_BHH_YH)*(epsilonH1/(1-tauH))^(-1/tauH)+alpha*mcH*FH/RkH*(RkH*(epsilonH1/(1-tauH))^(-1/tauH)+muH*(epsilonH2/(1-tauH))^(-1/tauH)+(epsilonH3/(1-tauH))^(-1/tauH)*tauH/(phi*(1+2*tauH)));


%F(1)=ph_YH-0.1;
%F(2)=IH_YH-0.2;
%F(1)=ph_YH-ph_YHs;
%F(2)=IH_YH-IH_YHs;
F=ph_YH-ph_YHs;

