

estimated_params;
        // PARAM NAME, INITVAL, LB, UB, PRIOR_SHAPE, PRIOR_P1, PRIOR_P2, PRIOR_P3, PRIOR_P4, JSCALE
        // PRIOR_SHAPE: BETA_PDF, GAMMA_PDF, NORMAL_PDF, INV_GAMMA_PDF

vH,,              0.01,          0.99,          BETA_PDF,        0.8,         0.1;
vF,,              0.01,           0.99,          BETA_PDF,        0.8,         0.1;
eta,,             1.1,          2,              NORMAL_PDF,      1.5,       0.01;
beta,,           0.9,          0.999,       BETA_PDF,         0.995,     0.001; 
sigma,,         1.001,     4,            NORMAL_PDF,          1.02,     0.1;
alpha,,          0.01,         0.99,           BETA_PDF,          0.6,       0.01;
deltah,,         0.01,         0.99,           BETA_PDF,          0.025,   0.001;
tauH,,           0.01,         0.5,             BETA_PDF,          0.3,        0.01;
tauF,,            0.01,         0.5,              BETA_PDF,         0.3,        0.01;
muH,,           0.01,          0.99,            BETA_PDF,        0.2,         0.01;
muF,,            0.01,          0.99,            BETA_PDF,        0.2,         0.01;
phi,,              0.01,          inf,               normpdf,          1,           0.1;
omegaH,,      0.01,          0.99,            BETA_PDF,        0.8,          0.01;
omegaF,,      0.01,          0.99,            BETA_PDF,        0.8,          0.01;
sigmap,,       2,            15,            NORMAL_PDF,          11,           1;
Kai,,             0.01,        0.99,         BETA_PDF,               0.5,           0.01;
zeta,,            0.55,         0.9,           BETA_PDF,          0.6,       0.01;
rhoaH,,             0.2,         0.99,            BETA_PDF,          0.8,      0.01;
rhoaF,,             0.2,         0.99,            BETA_PDF,          0.8,      0.01;
rhosH,,             0.2,         0.99,            BETA_PDF,          0.8,      0.01;
rhosF,,             0.2,         0.99,            BETA_PDF,          0.8,      0.01;
rhorH,,             0.2,         0.99,            BETA_PDF,          0.8,      0.01;
rhorF,,             0.2,         0.99,            BETA_PDF,          0.8,      0.01;
rhoyH,,             0,          0.13,           BETA_PDF,          0.125,     0.001;
rhoyF,,             0,          0.13,           BETA_PDF,          0.125,     0.001;
rhopiH,,           1.2,            2,                NORMAL_PDF,    1.5,       0.025;
rhopiF,,           1.2,            2,                NORMAL_PDF,    1.5,       0.025;
rhosH,,           1.2,            2,                NORMAL_PDF,    1.5,       0.025;
rhosF,,           1.2,            2,                NORMAL_PDF,    1.5,       0.025;

stderr eAH,INV_GAMMA_PDF, 0.01, 1;
stderr eAF,INV_GAMMA_PDF, 0.01, 1;
stderr eRH,INV_GAMMA_PDF, 0.01, 1;
stderr eRF,INV_GAMMA_PDF, 0.01, 1;
stderr esH,INV_GAMMA_PDF, 0.01, 1;
stderr esF,INV_GAMMA_PDF, 0.01, 1;


end;

varobs Rc_obs Re_obs pic_obs pie_obs Yc_obs Ye Qc_obs Qe_obs;

estimated_params_init(use_calibration);
end;
%estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=131,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=6,mode_check,smoother,filter_decomposition,conditional_variance_decomposition=10,moments_varendo,consider_all_endogenous);
estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=131,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,smoother,filter_decomposition,moments_varendo)Ye Yc pie pic Rc Re RER Qe Qc Ve De Dc;
options_.debug=1;
%estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=131,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,conf_sig=97.5,bayesian_irf,smoother,moments_varendo,consider_all_endogenous,nograph);
%estimation(order=1,datafile='mydata.mat',posterior_graph,nobs=131,prior_trunc=0,mh_replic=2000,mh_nblocks=2,mh_jscale=0.8,mode_compute=9,mode_check,conf_sig=97.5,bayesian_irf,smoother,consider_all_endogenous,nograph) Ye Yc pie pic Rc Re RER Qe Qc Ve De Dc;

shock_groups(name=group1);
'CHN sentiment shock' =esH;
'US sentiment shock' =esF;
%'QE shock' =eKbc;
'other shocks'=eAH, eAF, eRH, eRF;
end;

shock_decomposition(parameter_set=posterior_mode,nobs=131,use_shock_groups=group1,nograph);
plot_shock_decomposition(colormap=gray,type=qoq,write_xls,graph_format=fig,plot_init_date=dates('1989Q4'),use_shock_groups=group1) Ye Yc_obs pie_obs pic_obs Qe_obs Qc_obs Re_obs Rc_obs;