
data=xlsread('mydata.xlsx','Sheet1');
data=dseries(data(1:end,2:end),'1981Q1',{'YH','CH','tbH','YF','CF','RER','tbH_YH','piH','piF'});
YH=data.YH.log();
CH=data.CH.log();
YF=data.YF.log();
CF=data.CF.log();
RER=data.RER.log();
piH=data.piH.log();
piF=data.piF.log();

YH=YH.onesidedhpcycle();
CH=CH.onesidedhpcycle();
piH=piH.onesidedhpcycle();
piF=piF.onesidedhpcycle();

CF=CF(data.CF.firstobservedperiod:data.CF.lastobservedperiod()).onesidedhpcycle();
YF=YF(data.YF.firstobservedperiod:data.YF.lastobservedperiod()).onesidedhpcycle();
RER=RER(data.RER.firstobservedperiod:data.RER.lastobservedperiod()).onesidedhpcycle();

tbH=data.tbH.onesidedhpcycle();
tbH_YH=data.tbH_YH.onesidedhpcycle();

YH=YH-mean(YH);
CH=CH-mean(CH);
tbH=tbH-mean(tbH);
YF=YF-mean(YF);
CF=CF-mean(CF);
RER=RER-mean(RER);
tbH_YH=tbH_YH-mean(tbH_YH);
piH=piH-mean(piH);
piF=piF-mean(piF);

dataall=[YH CH tbH YF CF RER tbH_YH piH piF];
YH=dataall.YH.data;
CH=dataall.CH.data;
tbH=dataall.tbH.data;
YF=dataall.YF.data;
CF=dataall.CF.data;
RER=dataall.RER.data;
tbH_YH=dataall.tbH_YH.data;
piH=dataall.piH.data;
piF=dataall.piF.data;
save mydata CH YH tbH CF YF RER tbH_YH piH piF;


